Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.admin
Interface JoinAdmin

All Known Subinterfaces:
  ConstrainableJavaSpaceAdmin, FiddlerAdmin, JavaSpaceAdmin, MailboxAdmin

public interface JoinAdmin

The methods in this interface are used to control a service's participation in the join protocol. The object returned by the Administrable.getAdmin method should implement this interface, in addition to any other service-specific administration interfaces.

See Also:
  `Administrable.getAdmin()`

Method Summary
`void` | `addLookupAttributes(Entry[] attrSets)` Add attribute sets for the service.
`void` | `addLookupGroups(String[] groups)` Add new groups to the set to join.
`void` | `addLookupLocators(LookupLocator[] locators)` Add locators for specific new lookup services to join.
`Entry[]` | `getLookupAttributes()` Get the current attribute sets for the service.
`String[]` | `getLookupGroups()` Get the list of groups to join.
`LookupLocator[]` | `getLookupLocators()` Get the list of locators of specific lookup services to join.
`void` | `modifyLookupAttributes(Entry[] attrSetTemplates, Entry[] attrSets)` Modify the current attribute sets, using the same semantics as ServiceRegistration.modifyAttributes.
`void` | `removeLookupGroups(String[] groups)` Remove groups from the set to join.
`void` | `removeLookupLocators(LookupLocator[] locators)` Remove locators for specific lookup services from the set to join.
`void` | `setLookupGroups(String[] groups)` Replace the list of groups to join with a new list.
`void` | `setLookupLocators(LookupLocator[] locators)` Replace the list of locators of specific lookup services to join with a new list.

Method Detail

### getLookupAttributes

    public Entry[] getLookupAttributes()
                                throws RemoteException

  Get the current attribute sets for the service.

  Returns:
    the current attribute sets for the service
  Throws:
    `RemoteException`

### addLookupAttributes

    public void addLookupAttributes(Entry[] attrSets)
                             throws RemoteException

  Add attribute sets for the service. The resulting set will be used for all future joins. The attribute sets are also added to all currently-joined lookup services.

  Parameters:
    `attrSets` - the attribute sets to add
  Throws:
    `RemoteException`

### modifyLookupAttributes

    public void modifyLookupAttributes(Entry[] attrSetTemplates,
                                       Entry[] attrSets)
                                throws RemoteException

  Modify the current attribute sets, using the same semantics as ServiceRegistration.modifyAttributes. The resulting set will be used for all future joins. The same modifications are also made to all currently-joined lookup services.

  Parameters:
    `attrSetTemplates` - the templates for matching attribute sets
    `attrSets` - the modifications to make to matching sets
  Throws:
    `RemoteException`
  See Also:
    `ServiceRegistration.modifyAttributes(net.jini.core.entry.Entry[], net.jini.core.entry.Entry[])`

### getLookupGroups

    public String[] getLookupGroups()
                             throws RemoteException

  Get the list of groups to join. An empty array means the service joins no groups (as opposed to "all" groups).

  Returns:
    an array of groups to join. An empty array means the service joins no groups (as opposed to "all" groups).
  Throws:
    `RemoteException`
  See Also:
    `setLookupGroups(java.lang.String[])`

### addLookupGroups

    public void addLookupGroups(String[] groups)
                         throws RemoteException

  Add new groups to the set to join. Lookup services in the new groups will be discovered and joined.

  Parameters:
    `groups` - groups to join
  Throws:
    `RemoteException`
  See Also:
    `removeLookupGroups(java.lang.String[])`

### removeLookupGroups

    public void removeLookupGroups(String[] groups)
                            throws RemoteException

  Remove groups from the set to join. Leases are cancelled at lookup services that are not members of any of the remaining groups.

  Parameters:
    `groups` - groups to leave
  Throws:
    `RemoteException`
  See Also:
    `addLookupGroups(java.lang.String[])`

### setLookupGroups

    public void setLookupGroups(String[] groups)
                         throws RemoteException

  Replace the list of groups to join with a new list. Leases are cancelled at lookup services that are not members of any of the new groups. Lookup services in the new groups will be discovered and joined.

  Parameters:
    `groups` - groups to join
  Throws:
    `RemoteException`
  See Also:
    `getLookupGroups()`

### getLookupLocators

    public LookupLocator[] getLookupLocators()
                                      throws RemoteException

  Get the list of locators of specific lookup services to join.

  Returns:
    the list of locators of specific lookup services to join
  Throws:
    `RemoteException`
  See Also:
    `setLookupLocators(net.jini.core.discovery.LookupLocator[])`

### addLookupLocators

    public void addLookupLocators(LookupLocator[] locators)
                           throws RemoteException

  Add locators for specific new lookup services to join. The new lookup services will be discovered and joined.

  Parameters:
    `locators` - locators of specific lookup services to join
  Throws:
    `RemoteException`
  See Also:
    `removeLookupLocators(net.jini.core.discovery.LookupLocator[])`

### removeLookupLocators

    public void removeLookupLocators(LookupLocator[] locators)
                              throws RemoteException

  Remove locators for specific lookup services from the set to join. Any leases held at the lookup services are cancelled.

  Parameters:
    `locators` - locators of specific lookup services to leave
  Throws:
    `RemoteException`
  See Also:
    `addLookupLocators(net.jini.core.discovery.LookupLocator[])`

### setLookupLocators

    public void setLookupLocators(LookupLocator[] locators)
                           throws RemoteException

  Replace the list of locators of specific lookup services to join with a new list. Leases are cancelled at lookup services that were in the old list but are not in the new list. Any new lookup services will be discovered and joined.

  Parameters:
    `locators` - locators of specific lookup services to join
  Throws:
    `RemoteException`
  See Also:
    `getLookupLocators()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved